org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SideEffectTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectTest

- Direct Known Subclasses:
    SideEffectTest.Traversals

      public abstract class SideEffectTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SideEffectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SideEffectTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_VX1X_out_sideEffectXincr_cX_name()`
    `void` | `g_VX1X_out_sideEffectXX_name()`
    `void` | `g_VX1X_sideEffectXstore_aX_name()`
    `void` | `g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()`
    `void` | `g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()`
    `void` | `g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()`
    `void` | `g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_out_sideEffectXincr_cX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_out_sideEffectXX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_sideEffectXstore_aX_name(Object v1Id)`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()`
    `abstract Traversal<Vertex,Integer>` | `get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()`
    `abstract Traversal<Vertex,Integer>` | `get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SideEffectTest

          public SideEffectTest()

  - ### Method Detail

    - #### get_g_VX1X_sideEffectXstore_aX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_sideEffectXstore_aX_name(Object v1Id)

    - #### get_g_VX1X_out_sideEffectXincr_cX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_out_sideEffectXincr_cX_name(Object v1Id)

    - #### get_g_VX1X_out_sideEffectXX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_out_sideEffectXX_name(Object v1Id)

    - #### get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()

    - #### get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()

    - #### get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX

          public abstract Traversal<Vertex,Integer> get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()

    - #### get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX

          public abstract Traversal<Vertex,Integer> get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()

    - #### g_VX1X_sideEffectXstore_aX_name

          public void g_VX1X_sideEffectXstore_aX_name()

    - #### g_VX1X_out_sideEffectXincr_cX_name

          public void g_VX1X_out_sideEffectXincr_cX_name()

    - #### g_VX1X_out_sideEffectXX_name

          public void g_VX1X_out_sideEffectXX_name()

    - #### g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX

          public void g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()

    - #### g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX

          public void g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()

    - #### g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX

          public void g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()

    - #### g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX

          public void g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.